<?php

$extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('sg_jobs');

// common typoscript configuration
$tsPath = $extPath . 'Configuration/TypoScript/Common/';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup(file_get_contents($tsPath . 'setup.txt'));

// Configure frontend plugins
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'Joblist',
	[
		// Cacheable actions
		'Joblist' => 'index'
	],
	[
		// Uncacheable actions
		'Joblist' => ''
	]
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'JobApplication',
	[
		// Cacheable actions
		'Joblist' => 'applyForm, apply'
	],
	[
		// Uncacheable actions
		'Joblist' => 'applyForm, apply'
	]
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'JobTeaser',
	[
		// Cacheable actions
		'JobTeaser' => 'index'
	],
	[
		// Uncacheable actions
		'JobTeaser' => ''
	]
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'SGalinski.sg_jobs',
	'PageBrowser',
	['PageBrowser' => 'index',],
	['PageBrowser' => '',]
);

if (TYPO3_MODE === 'BE') {
	$tsPath = $extPath . 'Configuration/TypoScript/Backend/';

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants(
		file_get_contents($tsPath . 'constants.ts')
	);

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup(file_get_contents($tsPath . 'setup.ts'));
}

// signal slot for sg_seo integration
/** @var \TYPO3\CMS\Extbase\SignalSlot\Dispatcher $signalSlotDispatcher */
$signalSlotDispatcher = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(
	\TYPO3\CMS\Extbase\SignalSlot\Dispatcher::class
);
$signalSlotDispatcher->connect(
	\SGalinski\SgSeo\Generator\PagesSitemapGenerator::class,
	'accessPageList',
	\SGalinski\SgJobs\SignalSlot\SitemapSignalSlot::class,
	'beforeSitemapGeneration'
);
